## angband 2.5.8

=== Makefile ===
####
# Please take a look at config.h for *critical* configuration steps needed.
# BINDIR is the directory where the angband binary while be put

BINDIR = /User/games/bin
PROGRAM = angband

####
# Optimization flags (or debugging).
####
# '-O' means optimize.  '-g' is for debugging.  Gcc lets you combine both.
# '-pipe' uses pipes rather than temporary files (which is faster).
# '-pg' enables profiling (for coders only).  '-W<something>' provides
# additional warnings.
####
# For HPUX, the compiler flags for 'cc' should be:
# COPT = -Ae -Dunix -g

#COPT = -g -O1 -Wall -Wcast-align -Wpointer-arith -Wwrite-strings -pipe
COPT = -g -O -pipe

####
# If you use gcc, you may find that adding -traditional-cpp will fix
# defining the LIBDIR in config.h.  '-Dconst=' may also help if your compiler
# complains about conflicting definitions

CFLAGS = $(COPT)
CC = cc

####
# some people might be able to (or even might have to) remove -lrpcsvc
# For Linux systems, this line should look like:
# LIBS = -lncurses -ltermcap -lbsd
 
LIBS = -lcurses -ltermcap -lrpcsvc

####
# If your system lacks the random() call, define EXTRAOBJS to include
# random.o.  Otherwise, you can leave it out.

#EXTRAOBJS=random.o
EXTRAOBJS=

# end of user configurable stuff
#######

SOURCES = main.c misc1.c misc2.c store1.c files.c io.c create.c desc.c\
	generate.c sets.c dungeon.c creature.c death.c eat.c help.c magic.c\
	potions.c prayer.c save.c staffs.c wands.c scrolls.c spells.c\
	wizard.c store2.c signals.c moria1.c moria2.c monsters.c\
	treasure.c variable.c recall.c unix.c undef.c\
	player.c tables.c describe_mon.c rods.c random.c util.c

OBJECTS = main.o misc1.o misc2.o store1.o files.o io.o create.o desc.o\
	generate.o sets.o dungeon.o creature.o death.o eat.o help.o magic.o\
	potions.o prayer.o save.o staffs.o wands.o scrolls.o spells.o\
	wizard.o store2.o signals.o moria1.o moria2.o monsters.o\
	treasure.o variable.o recall.o unix.o undef.o\
	player.o tables.o describe_mon.o rods.o util.o $(EXTRAOBJS)

LIBFILES = hours news origcmds.hlp owizcmds.hlp roglcmds.hlp rwizcmds.hlp \
	scores version.hlp welcome.hlp

default: all

all: $(PROGRAM)

.c.o:
	$(CC) $(CFLAGS) -c $*.c

$(PROGRAM): $(OBJECTS)
	$(CC) $(CFLAGS) $(OBJECTS) -o $(PROGRAM) $(LIBS)

install:	$(PROGRAM)
	cp $(PROGRAM) $(BINDIR)/$(PROGRAM)
	chown games.bin $(BINDIR)/$(PROGRAM)
	chmod 4511 $(BINDIR)/$(PROGRAM)

clean:;
	rm -f *.o ./core *~ .*~ temp1 temp2 gmon.*

realclean: clean
	rm -f $(PROGRAM)

spotless: clean
	rm -f $(PROGRAM)
	rm -f $(BINDIR)/$(PROGRAM)

depend:
	/usr/local/bin/X11/makedepend $(INCLUDES) -p$(OBJDIR)/ $(SRCS)

check:
	-/bin/rm -f temp1 temp2
	egrep '^{' monsters.c | awk -F\" '{print $$2}' > temp1
	egrep '^{' describe_mon.c | awk -F\" '{print $$2}' > temp2
	echo monster name problems
	-diff -c1 temp1 temp2

query:
	echo "Monsters.c"
	egrep '^{"' monsters.c | wc -l
	echo "Describe_Mon.c"
	egrep '^{"' describe_mon.c | wc -l

create.o: constant.h types.h externs.h config.h
creature.o: constant.h types.h externs.h config.h monster.h
death.o: constant.h types.h externs.h config.h
desc.o: constant.h types.h externs.h config.h
dungeon.o: constant.h types.h externs.h config.h
eat.o: constant.h types.h externs.h config.h
files.o: constant.h types.h externs.h config.h
generate.o: constant.h types.h externs.h config.h
help.o: constant.h types.h externs.h config.h monster.h
io.o: constant.h types.h externs.h config.h
magic.o: constant.h types.h externs.h config.h
main.o: constant.h types.h externs.h config.h
misc1.o: constant.h types.h externs.h config.h monster.h
misc2.o: constant.h types.h externs.h config.h monster.h
monsters.o: constant.h types.h config.h monster.h
moria1.o: constant.h types.h externs.h config.h monster.h
moria2.o: constant.h types.h externs.h config.h monster.h
player.o: constant.h types.h config.h
potions.o: constant.h types.h externs.h config.h
prayer.o: constant.h types.h externs.h config.h monster.h
recall.o: constant.h config.h types.h externs.h monster.h
rnd.o: constant.h types.h
save.o: constant.h types.h externs.h config.h
scrolls.o: constant.h types.h externs.h config.h monster.h
sets.o: constant.h config.h types.h
signals.o: constant.h types.h externs.h config.h
spells.o: constant.h types.h externs.h config.h monster.h
staffs.o: constant.h types.h externs.h config.h monster.h
store1.o: constant.h types.h externs.h config.h
store2.o: constant.h types.h externs.h config.h
tables.o: constant.h types.h config.h
treasure.o: constant.h types.h config.h
unix.o: constant.h config.h types.h externs.h
variable.o: constant.h types.h config.h
rods.o: constant.h types.h externs.h config.h monster.h
wands.o: constant.h types.h externs.h config.h monster.h
wizard.o: constant.h types.h externs.h config.h
describe_mon.o: monster.h externs.h types.h

# DO NOT DELETE THIS LINE -- make depend depends on it.

## angband 2.6.1

=== Makefile ===
--- 
+++ 
@@ -1,44 +1,93 @@
 ####
 # Please take a look at config.h for *critical* configuration steps needed.
-# BINDIR is the directory where the angband binary while be put
+# BINDIR is the directory where the angband binary will be installed
 
 BINDIR = /User/games/bin
 PROGRAM = angband
 
 ####
-# Optimization flags (or debugging).
+# If you use gcc, you may find that adding '-traditional-cpp' will fix
+# defining the LIBDIR in config.h.  '-Dconst' may also help if your compiler
+# complains about conflicting definitions
+
+CC = cc
+
 ####
-# '-O' means optimize.  '-g' is for debugging.  Gcc lets you combine both.
+# Compiler flags
+####
+# '-O' means optimize.  '-g' is for debugging.
+#
+# If you are using gcc, you may combine both '-O' and '-g'.  Also:
 # '-pipe' uses pipes rather than temporary files (which is faster).
 # '-pg' enables profiling (for coders only).  '-W<something>' provides
 # additional warnings.
 ####
+# Remove one of the '#' from the list of compiler flag choices below:
+####
+
+# For normal compilers (ie, 'cc' on anything but a NeXT).
+# Once you are sure it works, you can and should use '-O' instead.
+# CFLAGS = -Wall -O1
+
 # For HPUX, the compiler flags for 'cc' should be:
-# COPT = -Ae -Dunix -g
-
-#COPT = -g -O1 -Wall -Wcast-align -Wpointer-arith -Wwrite-strings -pipe
-COPT = -g -O -pipe
+#CFLAGS = -Ae -Dunix -g
 
 ####
-# If you use gcc, you may find that adding -traditional-cpp will fix
-# defining the LIBDIR in config.h.  '-Dconst=' may also help if your compiler
-# complains about conflicting definitions
+# For gcc (or NeXT) users only.
+ 
+# Normal gcc users:
+# For SunOS 5.X (Solaris 2.X), add '-DSOLARIS'
+CFLAGS = -g -O1 -pipe
 
-CFLAGS = $(COPT)
-CC = cc
+# Full optimization (but only when you know it works right!):
+#CFLAGS = -O4 -pipe -fomit-frame-pointer
+
+# Developers:
+#CFLAGS = -g -O1 -pipe -Wall -Wcast-align -Wpointer-arith -Wwrite-strings
+
+# Anal developers:     [ :-) ]
+#CFLAGS = -g -O1 -pipe -Wall -Wcast-align -Wpointer-arith -Wwrite-strings \
+ -Wshadow -Wcast-align -Waggregate-return 
+
+# Profiling:
+#CFLAGS = -pg -g -O1 -pipe-Wall -Wcast-align -Wpointer-arith -Wwrite-strings
 
 ####
-# some people might be able to (or even might have to) remove -lrpcsvc
+# Libraries to link from
+####
+# some people might be able to (or even might have to) remove '-lrpcsvc'
+
+LIBS = -lcurses -ltermcap -lrpcsvc
+
+####
 # For Linux systems, this line should look like:
 # LIBS = -lncurses -ltermcap -lbsd
- 
-LIBS = -lcurses -ltermcap -lrpcsvc
+
+####
+# For NCR System 3000, you'll probably need this:
+# LIBS=-lcurses -ltermcap -lmalloc -L/usr/ucblib -lucb
+
+####
+# For SunOS 5.X (Solaris 2.X), this line should look like:
+# LIBS = -ltermlib -ltermcap -lrpcsvc -lnsl -lucb
+
+# For SunOS 5.X (Solaris 2.X), this line should look like:
+# ....unless you don't have the BSD/SunOS 4.x compatibility kit:
+# LIBS = -ltermlib -ltermcap -lrpcsvc -lnsl
+
 
 ####
 # If your system lacks the random() call, define EXTRAOBJS to include
 # random.o.  Otherwise, you can leave it out.
 
 #EXTRAOBJS=random.o
+
+####
+# For SunOS 5.X (Solaris 2.X), if you don't have the BSD/SunOS 4.x
+# compatibility kit.  Also, be sure to define NEEDS_USLEEP in config.h
+# EXTRAOBJS=random.o bzero.o
+
+# Otherwise, just use this:
 EXTRAOBJS=
 
 # end of user configurable stuff
@@ -49,7 +98,7 @@
 	potions.c prayer.c save.c staffs.c wands.c scrolls.c spells.c\
 	wizard.c store2.c signals.c moria1.c moria2.c monsters.c\
 	treasure.c variable.c recall.c unix.c undef.c\
-	player.c tables.c describe_mon.c rods.c random.c util.c
+	player.c tables.c describe_mon.c rods.c random.c util.c bzero.c
 
 OBJECTS = main.o misc1.o misc2.o store1.o files.o io.o create.o desc.o\
 	generate.o sets.o dungeon.o creature.o death.o eat.o help.o magic.o\
@@ -89,17 +138,20 @@
 depend:
 	/usr/local/bin/X11/makedepend $(INCLUDES) -p$(OBJDIR)/ $(SRCS)
 
+####
+# verify that the monsters.c and describe_mon.c files correspond
+
 check:
-	-/bin/rm -f temp1 temp2
-	egrep '^{' monsters.c | awk -F\" '{print $$2}' > temp1
-	egrep '^{' describe_mon.c | awk -F\" '{print $$2}' > temp2
-	echo monster name problems
-	-diff -c1 temp1 temp2
+	@/bin/rm -f temp1 temp2
+	@egrep '^{' monsters.c | awk -F\" '{print $$2}' > temp1
+	@egrep '^{' describe_mon.c | awk -F\" '{print $$2}' > temp2
+	@echo Monster name problems present:
+	@diff -c1 temp1 temp2
 
 query:
-	echo "Monsters.c"
+	@echo "Monsters.c:"
 	egrep '^{"' monsters.c | wc -l
-	echo "Describe_Mon.c"
+	@echo "Describe_Mon.c:"
 	egrep '^{"' describe_mon.c | wc -l
 
 create.o: constant.h types.h externs.h config.h

## angband 2.6.2

=== Makefile ===
#############################################################################
# Please take a look at config.h for *critical* configuration steps needed. #
#############################################################################

####
# BINDIR is the directory where the angband binary will be installed.

BINDIR = /User/games/bin
PROGRAM = angband

####
# Compiler
####
# I recommend that you use the GNU Project C Compiler "gcc",
# if available.  Failing that, try using an ANSI C compiliant compiler,
# such as "acc" on the Sun SPARC.  Some machines require special compiler
# flags in order to compile the game.  Consult the flags below.
####
# If you do use gcc and encounter problems, you may find that adding
# "-traditional-cpp" will fix defining the LIBDIR in config.h.
# If that fails, try using "-traditional".
####

CC = cc
#CC = acc
#CC = gcc
#CC = gcc -traditional-cpp
#CC = gcc -traditional

####
# Compiler flags
####
#
# '-O' means optimize.  '-g' is for debugging.
#
# If you are using gcc, you may combine both '-O' and '-g'.  Also:
# '-pipe' uses pipes rather than temporary files (which is faster).
# '-pg' enables profiling (for coders only).  '-W<something>' provides
# additional warnings.
#
# Remove one of the '#' from the list of compiler flag choices below:
####

####
# For normal compilers (ie, 'cc' on anything but a NeXT).
#
# Once you are sure it works, you can and should use a higher level of
# optimization instead.  This is '-O4' on many systems, but consult the
# manpages for your compiler.

CFLAGS = -O

# For HPUX, the compiler flags for 'cc' should be:
#CFLAGS = -Ae -Dunix -O

# For DEC OSF/1 (Alpha), the compiler flags for 'cc' should be:
#CFLAGS = -std -O

####
# For gcc (or NeXT) users only.
 
# Normal gcc users:
#CFLAGS = -g -O1 -pipe

# Full optimization (but only when you know it works right!):
#CFLAGS = -O4 -pipe -fomit-frame-pointer

# Developers:
#CFLAGS = -g -O1 -pipe -Wall -Wcast-align -Wpointer-arith -Wwrite-strings \
-Wcast-align -Waggregate-return

# Profiling:
#CFLAGS = -pg -g -O1 -pipe -Wall -Wcast-align -Wpointer-arith -Wwrite-strings

####
# System defines
####
# Any reasonably modern compiler does better when you *don't* use "register".
# I've hacked it out here because I don't want to change every arg list in the
# game.  You might want to undo this if your compiler is bad. -CWS
#
# "-Dconst=" may also help if your compiler complains about conflicting
# definitions involving the const keyword.

DEFINES = -Dregister=
#DEFINES = -Dregister= -Dconst=

####
# Combine the previous configuration sections to get the complete flags

ALL_CFLAGS = $(CFLAGS) $(DEFINES)


####
# Libraries to link from
####
# some people might be able to (or even might have to) remove '-lrpcsvc'

LIBS = -lcurses -ltermcap -lrpcsvc

####
# For Linux systems, this line should look like:
# LIBS = -lncurses -ltermcap -lbsd

####
# For NCR System 3000, you'll probably need this:
# LIBS=-lcurses -ltermcap -lmalloc -L/usr/ucblib -lucb

####
# For SunOS 5.X (Solaris 2.X), this line should look like:
# LIBS = -ltermlib -ltermcap -lrpcsvc -lnsl -lucb

# ....unless you don't have the BSD/SunOS 4.x compatibility kit:
# LIBS = -ltermlib -ltermcap -lrpcsvc -lnsl


####
# If your system lacks the random() call, define EXTRAOBJS to include
# random.o.  Otherwise, you can leave it out.

#EXTRAOBJS=random.o

# Otherwise, just use this:
EXTRAOBJS=

####
# Common system programs
####
# define the appropriate version of these commands if needed

CP    = cp
CHOWN = chown
CHMOD = chmod
DIFF  = diff
ECHO  = echo
EGREP = egrep
RM    = rm -f
STRIP = strip
TOUCH = touch

##################################
# End of user configurable stuff #
##################################

#######
# define special suffixes & build rules

SUFFIXES = .o .c .p .h

.c.o:
	$(CC) $(ALL_CFLAGS) -c $*.c

####
# This is for building precompiled headers on the NeXT, which results in
# faster compilations for me when developing and testing the game.  This
# should fail harmlessly on non-NEXTSTEP systems and does not indicate
# a problem.

PRECOMPFLAGS = -precomp $(DEFINES)

.h.p:
	@$(ECHO) Attempting to build $@.  Ignore any errors.
	-$(RM) $@
	-$(CC) $(PRECOMPFLAGS) $*.h -o $*.p
	-$(TOUCH) $@
	@$(ECHO) ""

####
# define some global macros

HEADERS = angband.h constant.h types.h externs.h config.h monster.h

SOURCES = main.c misc1.c misc2.c store1.c files.c io.c create.c desc.c \
	generate.c sets.c dungeon.c creature.c death.c eat.c help.c magic.c \
	potions.c prayer.c save.c staffs.c wands.c scrolls.c spells.c \
	wizard.c store2.c signals.c moria1.c moria2.c monsters.c \
	treasure.c variable.c recall.c unix.c undef.c \
	player.c tables.c describe_mon.c rods.c random.c util.c bzero.c

OBJECTS = main.o misc1.o misc2.o store1.o files.o io.o create.o desc.o \
	generate.o sets.o dungeon.o creature.o death.o eat.o help.o magic.o \
	potions.o prayer.o save.o staffs.o wands.o scrolls.o spells.o \
	wizard.o store2.o signals.o moria1.o moria2.o monsters.o \
	treasure.o variable.o recall.o unix.o undef.o \
	player.o tables.o describe_mon.o rods.o util.o $(EXTRAOBJS)

LIBFILES = hours news origcmds.hlp owizcmds.hlp roglcmds.hlp rwizcmds.hlp \
	scores version.hlp welcome.hlp

####
# target rules

default: all

all: angband.p monster.p $(PROGRAM)

$(PROGRAM) : $(OBJECTS)
	$(CC) $(ALL_CFLAGS) $(OBJECTS) -o $(PROGRAM) $(LIBS)

install:	$(PROGRAM)
	$(STRIP) $(PROGRAM)
	$(RM) $(BINDIR)/$(PROGRAM)
	$(CP) $(PROGRAM) $(BINDIR)/$(PROGRAM)
	$(CHOWN) games.bin $(BINDIR)/$(PROGRAM)
	$(CHMOD) 4711 $(BINDIR)/$(PROGRAM)

clean:
	$(RM) *.o ./core *~ .*~ temp1 temp2 gmon.* *.p

realclean: clean
	$(RM) $(PROGRAM) *.orig *.rej

depend:
	/usr/local/bin/X11/makedepend $(INCLUDES) -p$(OBJDIR)/ $(SRCS)

####
# verify that the monsters.c and describe_mon.c files correspond

check:
	@$(RM) temp1 temp2
	@$(EGREP) '^{' monsters.c | awk -F\" '{print $$2}' > temp1
	@$(EGREP) '^{' describe_mon.c | awk -F\" '{print $$2}' > temp2
	$(ECHO) Monster name problems present:
	@$(DIFF) -c1 temp1 temp2

query:
	@$(ECHO) "Monsters.c:"
	-$(EGREP) '^{"' monsters.c | wc -l
	@$(ECHO) "Describe_Mon.c:"
	-$(EGREP) '^{"' describe_mon.c | wc -l

####
# dependancies

angband.h : constant.h types.h externs.h config.h
angband.p : angband.h
monster.p: monster.h angband.h

create.o : angband.h 
creature.o : angband.h monster.h 
death.o : angband.h 
desc.o : angband.h 
describe_mon.o : angband.h 
dungeon.o : angband.h monster.h 
eat.o : angband.h 
files.o : angband.h 
generate.o : angband.h monster.h 
help.o : angband.h monster.h 
io.o : angband.h 
magic.o : angband.h 
main.o : angband.h 
misc1.o : angband.h monster.h 
misc2.o : angband.h monster.h 
monsters.o : angband.h monster.h 
moria1.o : angband.h monster.h 
moria2.o : angband.h monster.h 
player.o : angband.h 
potions.o : angband.h 
prayer.o : angband.h monster.h 
random.o : 
recall.o : angband.h monster.h 
rods.o : angband.h 
save.o : angband.h monster.h 
scrolls.o : angband.h monster.h 
sets.o : angband.h 
signals.o : angband.h 
spells.o : angband.h monster.h 
staffs.o : angband.h monster.h 
store1.o : angband.h 
store2.o : angband.h 
tables.o : angband.h 
treasure.o : angband.h 
undef.o : angband.h 
unix.o : angband.h 
util.o : angband.h 
variable.o : angband.h 
wands.o : angband.h 
wizard.o : angband.h monster.h 

# DO NOT DELETE THIS LINE -- make depend depends on it.

## angband 3.0.9

=== Makefile ===
.SILENT:

include mk/rules.mk
include mk/init.mk

SUBDIRS = src lib

include mk/objective.mk

=== src/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk
include ../mk/objective.mk

# import source list
include Makefile.src
HEADERS = $(HDRS) $(INCS)
OBJECTS = $(ANGFILES) $(MAINFILES) $(ZFILES)
SOURCES = ${OBJECTS:.o=.c}

# These are for OS-specific ports; ignore 'em until we use autoconf everywhere.
# SUBDIRS = osx win

OBJECTIVE_BINS = angband

CFLAGS += -I.

angband: $(OBJECTS)
	$(CC) $(OBJECTS) $(LDFLAGS) $(LDADD) -o $@ 
	@printf "%10s     %-20s\n" LINK $@

install-posthook:
	@if [ "x$(SETEGID)" != "x" ]; then \
		printf "%10s     $(DESTDIR)$(BINDIR)/angband\n" CHOWN; \
		if [ "x$(DRY)" = "x" ]; then \
			chown root:${SETEGID} $(DESTDIR)$(BINDIR)/angband; \
		fi; \
	fi

=== lib/apex/Makefile ===
.SILENT:

include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/apex

include ../../mk/objective.mk

install-posthook:
	if [ "x$(SETEGID)" != "x" ]; then \
		printf "%10s     %-20s\n" TOUCH ${DATA_PATH}/apex/scores.raw; \
		if [ "x$(DRY)" = "x" ]; then \
			touch ${DATA_PATH}/apex/scores.raw; \
			chown -R root:${SETEGID} ${DATA_PATH}/apex; \
			chmod -R g+w ${DATA_PATH}/apex; \
		fi; \
	fi;

=== lib/bone/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/bone

include ../../mk/objective.mk

install-posthook:
	if [ "x$(SETEGID)" != "x" ]; then \
		if [ "x$(DRY)" = "x" ]; then \
			chown root:${SETEGID} ${DATA_PATH}/bone; \
			chmod 070 ${DATA_PATH}/bone; \
		fi; \
	fi

=== lib/data/Makefile ===
.SILENT:

include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/data

include ../../mk/objective.mk

clean-posthook:
	-$(RM) *.raw

install-posthook:
	if [ "x$(SETEGID)" != "x" ]; then \
		printf "%10s     %s*.raw\n" TOUCH ${DATA_PATH}/data/; \
		if [ "x$(DRY)" = "x" ]; then \
			touch ${DATA_PATH}/data/artifact.raw; \
			touch ${DATA_PATH}/data/cost_adj.raw; \
			touch ${DATA_PATH}/data/ego_item.raw; \
			touch ${DATA_PATH}/data/flavor.raw; \
			touch ${DATA_PATH}/data/limits.raw; \
			touch ${DATA_PATH}/data/monster.raw; \
			touch ${DATA_PATH}/data/object.raw; \
			touch ${DATA_PATH}/data/p_class.raw; \
			touch ${DATA_PATH}/data/p_hist.raw; \
			touch ${DATA_PATH}/data/p_race.raw; \
			touch ${DATA_PATH}/data/prices.raw; \
			touch ${DATA_PATH}/data/shop_own.raw; \
			touch ${DATA_PATH}/data/terrain.raw; \
			touch ${DATA_PATH}/data/vault.raw; \
			chown -R root:${SETEGID} ${DATA_PATH}/data; \
			chmod -R g+w ${DATA_PATH}/data; \
		fi; \
	fi

=== lib/file/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_DATA = \
	dead.txt:${DATA_PATH}/file \
	news.txt:${DATA_PATH}/file

include ../../mk/objective.mk

=== lib/help/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk
include ../../mk/objective.mk

OBJECTIVE_DATA =	\
	attack.txt:${DATA_PATH}/help  \
	birth.txt:${DATA_PATH}/help   \
	command.txt:${DATA_PATH}/help \
	dungeon.txt:${DATA_PATH}/help \
	general.txt:${DATA_PATH}/help \
	option.txt:${DATA_PATH}/help  \
	playing.txt:${DATA_PATH}/help \
	version.txt:${DATA_PATH}/help \
	help.hlp:${DATA_PATH}/help    \
	308.txt:${DATA_PATH}/help

=== lib/save/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk
include ../../mk/objective.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/save

install-posthook:
	if [ "x$(SETEGID)" != "x" ]; then \
		if [ "x$(DRY)" = "x" ]; then \
			chown root:${SETEGID} ${DATA_PATH}/save; \
			chmod 070 ${DATA_PATH}/save; \
		fi; \
	fi

=== src/osx/Makefile ===
.SILENT:

include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = English.lproj

include ../../mk/objective.mk

=== lib/xtra/graf/Makefile ===
include ../../../mk/rules.mk
include ../../../mk/init.mk

OBJECTIVE_DATA = \
	16x16.bmp:${DATA_PATH}/xtra/graf    \
	16x16.png:${DATA_PATH}/xtra/graf    \
	32x32.png:${DATA_PATH}/xtra/graf    \
	8x13.bmp:${DATA_PATH}/xtra/graf     \
	8x8.bmp:${DATA_PATH}/xtra/graf      \
	8x8.png:${DATA_PATH}/xtra/graf      \
	backgrnd.bmp:${DATA_PATH}/xtra/graf \
	mask.bmp:${DATA_PATH}/xtra/graf     \

include ../../../mk/objective.mk

## angband 3.0.9b

=== lib/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk

SUBDIRS = apex bone data edit file help info pref save user xtra

include ../mk/objective.mk

=== src/Makefile ===
--- 
+++ 
@@ -19,10 +19,14 @@
 	$(CC) $(OBJECTS) $(LDFLAGS) $(LDADD) -o $@ 
 	@printf "%10s     %-20s\n" LINK $@
 
+clean-prehook:
+	-rm autoconf.h
+
 install-posthook:
 	@if [ "x$(SETEGID)" != "x" ]; then \
 		printf "%10s     $(DESTDIR)$(BINDIR)/angband\n" CHOWN; \
 		if [ "x$(DRY)" = "x" ]; then \
 			chown root:${SETEGID} $(DESTDIR)$(BINDIR)/angband; \
+			chmod g+s $(DESTDIR)$(BINDIR)/angband; \
 		fi; \
 	fi

=== lib/edit/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk
include ../../mk/objective.mk

OBJECTIVE_DATA =	                \
	artifact.txt:$(DATA_PATH)/edit  \
	cost_adj.txt:${DATA_PATH}/edit  \
	ego_item.txt:${DATA_PATH}/edit  \
	flavor.txt:${DATA_PATH}/edit    \
	limits.txt:${DATA_PATH}/edit    \
	monster.txt:${DATA_PATH}/edit   \
	object.txt:${DATA_PATH}/edit    \
	p_class.txt:${DATA_PATH}/edit   \
	p_hist.txt:${DATA_PATH}/edit    \
	p_race.txt:${DATA_PATH}/edit    \
	shop_own.txt:${DATA_PATH}/edit  \
	spell.txt:${DATA_PATH}/edit     \
	terrain.txt:${DATA_PATH}/edit   \
	vault.txt:${DATA_PATH}/edit

=== lib/info/Makefile ===
.SILENT:

include ../../mk/rules.mk
include ../../mk/init.mk
include ../../mk/objective.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/info

=== lib/pref/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk
include ../../mk/objective.mk

OBJECTIVE_DATA =	\
	flvr-dvg.prf:${DATA_PATH}/pref \
	flvr-new.prf:${DATA_PATH}/pref \
	flvr-xxx.prf:${DATA_PATH}/pref \
	font.prf:${DATA_PATH}/pref     \
	font-dos.prf:${DATA_PATH}/pref \
	font-ibm.prf:${DATA_PATH}/pref \
	font-mac.prf:${DATA_PATH}/pref \
	font-win.prf:${DATA_PATH}/pref \
	font-x11.prf:${DATA_PATH}/pref \
	font-xxx.prf:${DATA_PATH}/pref \
	graf.prf:${DATA_PATH}/pref     \
	graf-dvg.prf:${DATA_PATH}/pref \
	graf-gcu.prf:${DATA_PATH}/pref \
	graf-mac.prf:${DATA_PATH}/pref \
	graf-new.prf:${DATA_PATH}/pref \
	graf-win.prf:${DATA_PATH}/pref \
	graf-x11.prf:${DATA_PATH}/pref \
	graf-xxx.prf:${DATA_PATH}/pref \
	message.prf:${DATA_PATH}/pref  \
	pref.prf:${DATA_PATH}/pref     \
	pref-acn.prf:${DATA_PATH}/pref \
	pref-gcu.prf:${DATA_PATH}/pref \
	pref-mac.prf:${DATA_PATH}/pref \
	pref-sdl.prf:${DATA_PATH}/pref \
	pref-x11.prf:${DATA_PATH}/pref \
	user.prf:${DATA_PATH}/pref     \
	user-mac.prf:${DATA_PATH}/pref \
	xtra-dvg.prf:${DATA_PATH}/pref \
	xtra-new.prf:${DATA_PATH}/pref \
	xtra-xxx.prf:${DATA_PATH}/pref \

=== lib/user/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_DATA = \
	delete.me:${DATA_PATH}/user

include ../../mk/objective.mk

=== lib/xtra/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

SUBDIRS = font graf sound

include ../../mk/objective.mk

=== lib/xtra/font/Makefile ===
include ../../../mk/rules.mk
include ../../../mk/init.mk
include ../../../mk/objective.mk

OBJECTIVE_DATA = \
	copying.txt:${DATA_PATH}/xtra/font  \
	5x8.fon:${DATA_PATH}/xtra/font      \
	6x10.fon:${DATA_PATH}/xtra/font     \
	6x12.fon:${DATA_PATH}/xtra/font     \
	6x13b.fon:${DATA_PATH}/xtra/font    \
	6x13.fon:${DATA_PATH}/xtra/font     \
	7x13b.fon:${DATA_PATH}/xtra/font    \
	7x13.fon:${DATA_PATH}/xtra/font     \
	8x13b.fon:${DATA_PATH}/xtra/font    \
	8x13c.fon:${DATA_PATH}/xtra/font    \
	8x13.fon:${DATA_PATH}/xtra/font     \
	8x16b.fon:${DATA_PATH}/xtra/font    \
	8x16.fon:${DATA_PATH}/xtra/font     \
	9x15b.fon:${DATA_PATH}/xtra/font    \
	9x15.fon:${DATA_PATH}/xtra/font     \
	10x17b.fon:${DATA_PATH}/xtra/font   \
	10x17.fon:${DATA_PATH}/xtra/font    \
	10x20.fon:${DATA_PATH}/xtra/font    \
	12x20b.fon:${DATA_PATH}/xtra/font   \
	12x20.fon:${DATA_PATH}/xtra/font    \
	12x24.fon:${DATA_PATH}/xtra/font    \
	16x25b.fon:${DATA_PATH}/xtra/font   \
	16x25.fon:${DATA_PATH}/xtra/font

=== lib/xtra/sound/Makefile ===
include ../../../mk/rules.mk
include ../../../mk/init.mk

OBJECTIVE_DATA = \
	sound.cfg:${DATA_PATH}/xtra/sound    \
	breath.wav:${DATA_PATH}/xtra/sound   \
	clunk.wav:${DATA_PATH}/xtra/sound    \
	death.wav:${DATA_PATH}/xtra/sound    \
	destroy.wav:${DATA_PATH}/xtra/sound  \
	drop.wav:${DATA_PATH}/xtra/sound     \
	eat.wav:${DATA_PATH}/xtra/sound      \
	flee.wav:${DATA_PATH}/xtra/sound     \
	hallu.wav:${DATA_PATH}/xtra/sound    \
	hit.wav:${DATA_PATH}/xtra/sound      \
	hit1.wav:${DATA_PATH}/xtra/sound     \
	kill.wav:${DATA_PATH}/xtra/sound     \
	kill1.wav:${DATA_PATH}/xtra/sound    \
	level.wav:${DATA_PATH}/xtra/sound    \
	miss.wav:${DATA_PATH}/xtra/sound     \
	miss1.wav:${DATA_PATH}/xtra/sound    \
	money.wav:${DATA_PATH}/xtra/sound    \
	opendoor.wav:${DATA_PATH}/xtra/sound \
	shutdoor.wav:${DATA_PATH}/xtra/sound \
	thump.wav:${DATA_PATH}/xtra/sound    \
	vomit.wav:${DATA_PATH}/xtra/sound

include ../../../mk/objective.mk

=== src/osx/English.lproj/Makefile ===
.SILENT:

include ../../../mk/rules.mk
include ../../../mk/init.mk

SUBDIRS = main.nib

include ../../../mk/objective.mk

=== src/osx/English.lproj/main.nib/Makefile ===
.SILENT:

include ../../../../mk/rules.mk
include ../../../../mk/init.mk

include ../../../../mk/objective.mk

## angband 3.1.1.1626

=== lib/apex/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

DATA = delete.me
PACKAGE = ${PACKAGE_NAME}/apex

install-extra:
	if [ "x$(SETEGID)" != "x" ]; then \
		if [ "x$(DRY)" = "x" ]; then \
			${MKDIR_P} ${DESTDIR}${datadir}/${PACKAGE}; \
			touch ${DESTDIR}${datadir}/${PACKAGE}/scores.raw; \
			chown -R root:${SETEGID} ${DESTDIR}${datadir}/${PACKAGE}; \
			chmod -R g+w ${DESTDIR}${datadir}/${PACKAGE}; \
		fi; \
	fi

=== lib/save/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

DATA = delete.me
PACKAGE = ${PACKAGE_NAME}/save

install-extra:
	if [ "x$(SETEGID)" != "x" ]; then \
		if [ "x$(DRY)" = "x" ]; then \
			${MKDIR_P} ${DESTDIR}${datadir}/${PACKAGE}; \
			chown root:${SETEGID} ${DESTDIR}${datadir}/${PACKAGE}; \
			chmod 070 ${DESTDIR}${datadir}/${PACKAGE}; \
		fi; \
	fi

=== lib/xtra/sound/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

DATA = sound.cfg breath.wav clunk.wav death.wav destroy.wav drop.wav eat.wav \
       flee.wav hallu.wav hit.wav hit1.wav kill.wav kill1.wav level.wav \
       miss.wav miss1.wav money.wav opendoor.wav shutdoor.wav thump.wav \
       vomit.wav
PACKAGE = ${PACKAGE_NAME}/xtra/sound

## angband 3.1.2v2

=== lib/edit/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = artifact.txt ego_item.txt flavor.txt limits.txt monster.txt names.txt object.txt p_class.txt p_hist.txt p_race.txt shop_own.txt spell.txt store.txt terrain.txt vault.txt
PACKAGE = edit

=== lib/help/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = 308.txt attack.txt birth.txt command.txt debug.txt dungeon.txt general.txt help.hlp option.txt playing.txt version.txt
PACKAGE = help

=== lib/pref/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = flvr-dvg.prf font-gtk.prf font-win.prf graf-gtk.prf graf-sdl.prf \
       pref-mac.prf pref-x11.prf xtra-new.prf flvr-new.prf font-mac.prf \
       font-x11.prf graf-mac.prf graf-win.prf message.prf pref.prf      \
       user-mac.prf xtra-xxx.prf flvr-xxx.prf font.prf font-xxx.prf     \
       graf-new.prf graf-x11.prf pref-acn.prf pref-sdl.prf user.prf     \
       font-gcu.prf font-sdl.prf graf-dvg.prf graf.prf graf-xxx.prf     \
       pref-gcu.prf pref-win.prf xtra-dvg.prf
PACKAGE = pref

=== lib/xtra/font/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = copying.txt 5x8.fon 6x10.fon 6x12.fon 6x13b.fon 6x13.fon 7x13b.fon \
       7x13b.fon 7x13.fon 8x13b.fon 8x13c.fon 8x13.fon 8x16b.fon 8x16.fon \
       9x15b.fon 9x15.fon 10x17b.fon 10x17.fon 10x20.fon 12x20b.fon 12x20.fon \
       12x24.fon 16x25b.fon 16x25.fon
PACKAGE = xtra/font

=== lib/xtra/graf/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = 16x16.bmp 16x16.png 32x32.png 8x13.bmp 8x8.bmp 8x8.png backgrnd.bmp mask.bmp
PACKAGE = xtra/graf

=== lib/xtra/icon/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = att-16.png att-32.png att-128.png att-256.png att-512.png
PACKAGE = xtra/icon

## angband 3.2.0

=== Makefile ===
MKPATH=mk/
include $(MKPATH)buildsys.mk

SUBDIRS = src lib

clean-posthook:
	-rm config.status config.log

=== src/Makefile ===
MKPATH=../mk/
include $(MKPATH)buildsys.mk

# import source list
include Makefile.src
INCLUDE = $(HDRS) $(INCS)
OBJECTS = $(ANGFILES) $(ZFILES)
SRCS    = ${OBJECTS:.o=.c} ${MAINFILES:.o=.c}
SUBDIRS = gtk monster object player
PROG    = angband
CFLAGS += -I. -std=c99 -Wdeclaration-after-statement

angband: angband.o $(MAINFILES)
	$(CC) -o angband angband.o $(MAINFILES) $(LDFLAGS) $(LDADD)
	@printf "%10s %-20s\n" LINK $@

angband.o: $(OBJECTS)
	$(LD) -r -o $@ $(OBJECTS)
	@printf "%10s %-20s\n" LINK $@

clean: test-clean

clean-extra:
	-rm autoconf.h

tests:
	$(MAKE) -C tests all

test-clean:
	$(MAKE) -C tests clean

.PHONY : tests

=== lib/edit/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = artifact.txt ego_item.txt flavor.txt limits.txt monster.txt names.txt object.txt p_class.txt p_hist.txt p_race.txt shop_own.txt spell.txt store.txt terrain.txt vault.txt hints.txt
PACKAGE = edit

=== lib/help/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = 320.txt attack.txt birth.txt command.txt debug.txt dungeon.txt general.txt help.hlp option.txt playing.txt version.txt
PACKAGE = help

=== lib/pref/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

CONFIG = flvr-dvg.prf font-gtk.prf font-win.prf graf-gtk.prf graf-sdl.prf \
       pref-mac.prf pref-x11.prf xtra-new.prf flvr-new.prf font-mac.prf \
       font-x11.prf graf-mac.prf graf-win.prf message.prf pref.prf      \
       user-mac.prf xtra-xxx.prf flvr-xxx.prf font.prf font-xxx.prf     \
       graf-new.prf graf-x11.prf pref-sdl.prf user.prf     \
       font-gcu.prf font-sdl.prf graf-dvg.prf graf.prf graf-xxx.prf     \
       pref-gcu.prf pref-win.prf xtra-dvg.prf \
       flvr-nmd.prf graf-nmd.prf xtra-nmd.prf
PACKAGE = pref

=== src/gtk/Makefile ===
MKPATH=../../mk/
include $(MKPATH)buildsys.mk

=== src/tests/Makefile ===
# Makefile for tests - builds unit-test binaries

CFLAGS+=-I../ -I. -g
-include config

all : build run

SUITES := $(shell find . -maxdepth 1 -mindepth 1 -type d)
include $(patsubst %,%/suite.mk,$(SUITES))

build : $(TESTPROGS)

run :
	./run-tests

% : %.o
	$(CC) -o $@ $^ ../angband.o

clean :
	$(RM) $(TESTPROGS)

.PHONY : all clean

=== lib/xtra/graf/Makefile ===
MKPATH=../../../mk/
include $(MKPATH)buildsys.mk

LIBDATA = 8x16.bmp 8x16.png 16x16.bmp 16x16.png 32x32.png 8x13.bmp 8x8.bmp 8x8.png backgrnd.bmp mask.bmp mask8x16.bmp
PACKAGE = xtra/graf

## angband 3.3.0-maemo2

=== debian/changelog ===
angband (1:3.3.0-maemo2) unstable; urgency=low

  * added desktop-entry

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 07 Sep 2011 22:43:10 -0000

angband (1:3.3.0-maemo1) unstable; urgency=low

  * ctrl+e=escape

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 07 Sep 2011 22:07:10 -0000

angband (1:3.1.2v2-2) unstable; urgency=low

  * Added missing build-depends on libglade2.0-dev.
  * Added debian/source/format per policy.

 -- Chris Carr <rantingman@gmail.com>  Mon, 05 Apr 2010 18:30:10 -0000

angband (1:3.1.2v2-1) unstable; urgency=low

  * New upstream release. Angband 3.1.x is a development series which
    contains a number of major changes - see the changelog for details.
  * Package now built --with-private-dirs, which enables Gtk support at the
    expense of a system-wide score file. Score, save and user pref files now
    in ~/.angband/Angband/ (any old save, pref and spoiler files are left in 
    /var/games/angband for manual cleanup). To avoid using Gtk, start the 
    game with the -mx11 or -msdl options (-mgcu for console mode).
  * Added reference to recovering old files to README.debian
							Closes: #573117
  * ".raw" files removed upstream.			Closes: #542346
							Closes: #547259
  * Minor changes to documentation pending full rewrite.
							Closes: #542348
  * Corrected all uses of "lite" and "hilite" except the one on the 
    resistances display screen.				Closes: #547260
  * Added recommendation for xfonts-base.		Closes: #566268
  * Updated Standards-Version. No changes.

 -- Chris Carr <rantingman@gmail.com>  Sun, 18 Mar 2010 18:19:40 -0000

angband (1:3.1.1.1626-1) unstable; urgency=low

  * New maintainer. Added Manoj Srivastava to Uploaders.
  * New upstream release. Angband 3.1.x is a development series which
    contains a number of major changes - see the changelog for details.
  * This package is now entirely DFSG-compliant - moved to main. To achieve
    this, the sounds have been removed. They will be replaced in a separate
    angband-audio package.
                                                        Closes: #511368
  * Xaw support removed upstream.

 -- Chris Carr <rantingman@gmail.com>  Mon, 17 Aug 2009 21:10:02 -0000

angband (1:3.0.9b-3) unstable; urgency=medium

  * pre-inst fails on upgrade from version 1:3.0.5-1, as we are not
    checking /var/lib/games/angband/save has any files in it - if it
    doesn't, then you see the failure mode described. Analysis and fix
    from Matthew Vernon. This closes an important bug.  Closes:  #494199
  * /var/games/angband/data/spell.raw has wrong permissions. We set the
    correct permission on 4 other directories in the /var/games/angband/
    hierarchy, and really, this chmod g+w was a long standing bug. While
    not labeled important, this is a minimal change, and is consistent
    with the handling of other game files. Thanks to Chris Carr.
                                                        Closes: #490871
  * Updated Standards-Version. No changes.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 04 Sep 2008 11:13:05 -0500

angband (1:3.0.9b-2) unstable; urgency=low

  * Record the fact that this package has moved to a new git repository.
  * Move to the new, make -j friendly targets in debian/rules.
  * Added support for the SDL mode display support into angband.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Jun 2008 11:11:35 -0500

angband (1:3.0.9b-1) unstable; urgency=low

  * New upstream release.  Angband 3.0.9b is a bugfix version of 3.0.9.
    It makes the following changes on top of those mentioned below:
     - Monsters are back up to their pre-3.0.9 levels of smartness.
     - Store UI behaviour changed so that pressing Enter no longer
       initiates buying.
     - Fix detection of curses libraries using autoconf.
     - Fix broken install using autoconf.
     - Add the tvals for oil and dragon armor to the tval squelch list.
     - Once again dump modified colour information to pref files.
     - Fix warnings when compiling the SDL port.
     - Fix up roguelike keys in the store (vs. 3.0.9a)

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 03 Apr 2008 18:47:33 -0500

angband (1:3.0.9-1) unstable; urgency=low

  * New upstream release. This is a fairly major update, and should work
    better than the older versions.                       Closes: #437001
  * Added new, working watch file, based on rephial site. Closes: #450258
  * Quote file names in preinst.                          Closes: #410363

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 07 Feb 2008 19:17:48 -0600

angband (1:3.0.6-4) unstable; urgency=low

  * Bug fix: "angband: error on upgrade: ... scores.raw': No such file or
    directory", thanks to Ross Boylan                     (Closes: #374580).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jun 2006 00:57:42 -0500

angband (1:3.0.6-3) unstable; urgency=low

  * Ack NMU.
  * Updated copyright files.
  * Bug fix: "angband: Upgrade woody-&gt;sarge has lost high-score file",
    thanks to Matthew Vernon. Now try to recover from the
    /var/lib/games/angbane to the /var/games/angband move, and try to
    clear out the obsolete cruft on install.             (Closes: #370223).
  * Bug fix: "diff for 1:3.0.6-2.1 NMU", thanks to Steinar H. Gunderson
    Applied.                                             (Closes: #372653).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 14 Jun 2006 15:24:42 -0500

angband (1:3.0.6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * List libxaw7-dev as preferred build-dependency for libxaw[678]-dev, as
    libxaw8-dev no longer exists in unstable; fixes FTBFS. (Closes: #370085)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 10 Jun 2006 19:26:54 +0200

angband (1:3.0.6-2) unstable; urgency=low

  * Updated build dependencies
  * Bug fix: "failure to purge", thanks to Sebastian Rittau. Make sure we
    get rid of all the add-on info files as well.            (Closes: #345593).



=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -O0
else
	CPPFLAGS += -O3
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CPPFLAGS += -g -O0 -DDEBUG
else
	CPPFLAGS += -DNDEBUG
endif

#maemo
ifneq (,$(findstring arm-linux,$(DEB_BUILD_GNU_TYPE)))
	CPPFLAGS += -fomit-frame-pointer
	#internal compiler error under maemo scratchbox
        #CPPFLAGS += -frename-registers
	CPPFLAGS += -ffast-math
	#omap2
#	CPPFLAGS += -mcpu=arm1136j-s -mfpu=vfp -mfloat-abi=softfp 
	#omap3
#	CPPFLAGS += -mcpu=cortex-a8 -mfpu=vfp3 -mfloat-abi=softfp 
	CPPFLAGS += -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp
	CPPFLAGS += -ftree-vectorize -fsingle-precision-constant
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.

configure:

build: build-stamp
build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	./configure --prefix=/opt/angband --enable-sdl --disable-x11
	make
	touch build-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	make clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/<packagename>
	$(MAKE) DESTDIR=`pwd`/debian/angband install
	#!/bin/sh
	CURDIR=$1


	install -d  ${CURDIR}/debian/angband/usr/share/pixmaps 
	install ${CURDIR}/lib/xtra/icon/att-128.png  ${CURDIR}/debian/angband/usr/share/pixmaps/angband.png

	#menu 
	install -d ${CURDIR}/debian/angband/usr/share/applications/hildon
	install ${CURDIR}/debian/angband.desktop ${CURDIR}/debian/angband/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_undocumented
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## angband 3.3.0-maemo3

=== debian/changelog ===
angband (1:3.3.0-maemo3) unstable; urgency=low

  * Packeting issue fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 08 Sep 2011 10:56:10 -0000

## angband 3.3.0-maemo4

=== debian/changelog ===
angband (1:3.3.0-maemo4) unstable; urgency=low

  * desktop-entry fixed
  * graphics=1 as default

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 08 Sep 2011 14:34:10 -0000

=== debian/control ===
Source: angband
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), dh-buildinfo,
 libncurses5-dev | libncurses-dev | ncurses-dev,
 libsdl1.2-dev | libsdl-dev, libsdl-mixer1.2-dev,
 libsdl-gfx1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev,
 libsdl-net1.2-dev,
Standards-Version: 3.7.2.
Homepage: http://rephial.org/
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: angband
Architecture: any
Depends: ${shlibs:Depends}
Recommends: xfonts-base
Description: A single-player, text-based, dungeon simulation game.
 Angband is a single-player, text-based, dungeon simulation derived
 from the game Moria, which was in turn based on Rogue. It is
 often described as a "roguelike" game because the look and feel of
 the game is still quite similar to Rogue.
 .
 Angband features many enhancements over Moria: unique foes, artifacts,
 monster pits and vaults to name a few. Many of these new creatures
 and objects are drawn from the writings of J.R.R Tolkien, although
 some of the monsters come straight from classical mythology, Dungeons
 & Dragons, Rolemaster, or the minds of the original Angband coders.
 .
 The ultimate goal of the game is to develop a character strong enough
 to defeat Morgoth, who resides on dungeon level 100. Upon doing so,
 you will receive the exalted status of "winner" and your character may
 retire.
 .
 Angband is a reference to Morgoth's "prison of iron."
 .
 Morgoth was 'the Dark Enemy of Middle-Earth' during its First Age. He
 was banished by the Valar (offspring of Eru, "god" of J.R.R.
 Tolkien's world) at the end of the First Age and thus never appears
 in The Lord of the Rings, set during the Third Age. Sauron, who does
 figure into those tales, was the most powerful of his servants. Read
 Tolkien's 'The Silmarillion' for more on the legends of Middle-Earth.

=== debian/rules ===
--- 
+++ 
@@ -75,15 +75,15 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/<packagename>
-	$(MAKE) DESTDIR=`pwd`/debian/angband install
+	$(MAKE) DESTDIR=`pwd`/debian/`dh_listpackages` install
 	#!/bin/sh
 	CURDIR=$1
 
-
+	#icon
 	install -d  ${CURDIR}/debian/angband/usr/share/pixmaps 
 	install ${CURDIR}/lib/xtra/icon/att-128.png  ${CURDIR}/debian/angband/usr/share/pixmaps/angband.png
 
-	#menu 
+	#menu
 	install -d ${CURDIR}/debian/angband/usr/share/applications/hildon
 	install ${CURDIR}/debian/angband.desktop ${CURDIR}/debian/angband/usr/share/applications/hildon
